# Generated from current_temp-1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name current_temp

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 1%{?dist}
Summary: Returns the current temperature in °F for the provided location
License: MIT
URL: http://rubygems.org/gems/current_temp
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Pass a valid US ZIP code, or a city and state and the current temperate in
degrees fahrenheit is returned. This requies a valid United States ZIP code as
a Fixnum such as 94110 or a city in a String like "San Francisco, Ca".


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Apr 18 2022 mockbuilder - 1.0.0-1
- Initial package
